﻿using System;

namespace CmdApp
{
    public class Program
    {
        static void Main(string[] args)
        {
            using (CmdService cmdService = new CmdService("cmd.exe"))
            {
                string consoleCommand = String.Empty;
                do
                {
                    consoleCommand = Console.ReadLine();
                    string output = cmdService.ExecuteCommand(consoleCommand);
                    Console.WriteLine(">>> {0}", output);
                }
                while (!String.IsNullOrEmpty(consoleCommand));
            }
        }
    }
}
